CREATE TABLE hrl_data_feed_settings_b (
    SETTING_ID               NUMBER(18, 0) ,
    ENTERPRISE_ID            NUMBER(18, 0)     NOT NULL,
    FLOW_CODE                VARCHAR2(120) ,
    SECTION_CODE             VARCHAR2(120) ,
    CATEGORY_CODE            VARCHAR2(120) ,
    SOURCE_CODE              VARCHAR2(120) ,
    DATA_SOURCE_TYPE         VARCHAR2(1600),
    DATA_SOURCE_VALUE        VARCHAR2(4000),
    DATA_PRIV_NAME           VARCHAR2(1600),
    DATA_PRIV_OBJ            VARCHAR2(1600),
    ACTIVE_FLAG              VARCHAR2(4)   ,
    VISIBILITY_CODE          VARCHAR2(800) ,
    DISPLAY_SEQUENCE         NUMBER(5, 0)  ,
    IMAGE_NAME               VARCHAR2(1600),
    COLOR_CODE               VARCHAR2(120) ,
    LINK_TYPE                VARCHAR2(120) ,
    LINK_TEXT                VARCHAR2(4000),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    MODULE_ID                VARCHAR2(128) ,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    SETTING_ID               NUMBER(18, 0) ,
    ENTERPRISE_ID            NUMBER(18, 0)     NOT NULL,
    FLOW_CODE                VARCHAR2(120) ,
    SECTION_CODE             VARCHAR2(120) ,
    CATEGORY_CODE            VARCHAR2(120) ,
    SOURCE_CODE              VARCHAR2(120) ,
    DATA_SOURCE_TYPE         VARCHAR2(1600),
    DATA_SOURCE_VALUE        VARCHAR2(4000),
    DATA_PRIV_NAME           VARCHAR2(1600),
    DATA_PRIV_OBJ            VARCHAR2(1600),
    ACTIVE_FLAG              VARCHAR2(4)   ,
    VISIBILITY_CODE          VARCHAR2(800) ,
    DISPLAY_SEQUENCE         NUMBER(5, 0)  ,
    IMAGE_NAME               VARCHAR2(1600),
    COLOR_CODE               VARCHAR2(120) ,
    LINK_TYPE                VARCHAR2(120) ,
    LINK_TEXT                VARCHAR2(4000),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    MODULE_ID                VARCHAR2(128) ,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_hrl_data_feed_settings_b PRIMARY KEY (SETTING_ID, SETTING_ID)
);
